(use-modules (fibers web server))

(define (log body level)
  (let* ((current-time (localtime (current-time)))
         (time (strftime "%G%m%d|%T" current-time)))
    (format #t "[~a] ~a: ~a\n" time level body)))

(define (log:info body)
  (log body "INFO"))

(define (log:warn body)
  (log body "warn"))

(define (log:debug body)
  (log body "debug"))

(define (log:error body)
  (log body "error"))

(define (handler request body)
  (log:info "gore a req")
  (values '((content-type . (text/plain)))
          "Hello!"))

(run-server handler #:port 4242)

